# Learning

The easy way to use Machine Learning Kit in Flutter.

## Getting Started

Add dependency to your flutter project:

```
$ flutter pub add learning
```

or

```yaml
dependencies:
  learning: ^0.0.1
```

Then run `flutter pub get`.

**Optimization**

For best performance (and to minimize application size), it's better to add dependency directly from each of sub-package you want to use in your application. 

## Usage

Learning consists of 13 different sub-packages that we can add separately based on our application needs. Please reference to each link below to learn more about the usage of each learning package.
<br><br>
<table>
  <tr>
    <th>Vision</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</td>
    <th>Example</th>
  </tr>
  <tr>
    <td><code>learning_text_recognition</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      https://pub.dev/packages/learning_text_recognition<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_text_recognition
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/text_recognition.apk">text_recognition.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_face_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_face_detection<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_face_detection
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/face_detection.apk">face_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_pose_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      https://pub.dev/packages/learning_pose_detection<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_pose_detection
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/pose_detection.apk">pose_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_selfie_segmentation</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      https://pub.dev/packages/learning_selfie_segmentation<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_selfie_segmentation
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/selfie_segmentation.apk">selfie_segmentation.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_image_labeling</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      https://pub.dev/packages/learning_image_labeling<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_image_labeling
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/image_labeling.apk">image_labeling.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_barcode_scanning</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_barcode_scanning<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_barcode_scanning
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/barcode_scanning.apk">barcode_scanning.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_object_detection</code></td>
    <td><b>Published</b></td>
    <td>^0.0.1</td>
    <td>
      https://pub.dev/packages/learning_object_detection<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_object_detection
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/object_detection.apk">object_detection.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_digital_ink_recognition</code></td>
    <td>Development</td>
    <td></td>
    <td>https://github.com/salkuadrat/learning/tree/master/packages/learning_digital_ink_recognition</td>
    <td></td>
  </tr>
</table>
<br>
<table>
  <tr>
    <th>NLP</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</th>
    <th>Example</th>
  </tr>
  <tr>
    <td><code>learning_language</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_language<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_language
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/language.apk">language.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_translate</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_translate<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_translate
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/translate.apk">translate.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_entity_extraction</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_entity_extraction<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_entity_extraction
    </td>
    <td>
      <a href="https://github.com/salkuadrat/learning_apk/raw/master/entity_extraction.apk">entity_extraction.apk</a>
    </td>
  </tr>
  <tr>
    <td><code>learning_smart_reply</code></td>
    <td><b>Published</b></td>
    <td>^0.0.2</td>
    <td>
      https://pub.dev/packages/learning_smart_reply<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_smart_reply
    </td>
    <td></td>
  </tr>
</table>
<br>
<table>
  <tr>
    <th>Helper</th>
    <th>Status</th>
    <th>Version</th>
    <th>Links</td>
  </tr>
  <tr>
    <td><code>learning_input_image</code></td>
    <td><b>Published</b></td>
    <td>^0.0.5</td>
    <td>
      https://pub.dev/packages/learning_input_image<br>
      https://github.com/salkuadrat/learning/tree/master/packages/learning_input_image
    </td>
  </tr>
</table>

## Example Project

You can learn more from example project [here](example). Also, you can learn the example code while running the working application from [learning.apk](https://drive.google.com/file/d/1qX5HED9j2YSpxUE7Xloq5waCPcQFpkDM/view?usp=sharing).
